package cn.estsh.i3plus.pojo.wms.engine.rule;

/**
 * @Description : 纯POJO，WMS PDA 操作前的条码状态检查
 * @Reference :
 * @Author : rock.yu
 * @CreateDate : 2019-03-06 19:26
 * @Modify:
 **/
public class WmsSNCheckRule {
    // 交易类型代码
    private int transTypeCode;
    // 业务类型代码
    private int busiTypeCode;
    // 条码状态代码
    private int snStatusCode;
    // 质量状态代码
    private int qcStatusCode;
    // 匹配结果，默认为匹配失败
    private boolean result = false;

    public int getTransTypeCode() {
        return transTypeCode;
    }

    public void setTransTypeCode(int transTypeCode) {
        this.transTypeCode = transTypeCode;
    }

    public int getBusiTypeCode() {
        return busiTypeCode;
    }

    public void setBusiTypeCode(int busiTypeCode) {
        this.busiTypeCode = busiTypeCode;
    }

    public int getSnStatusCode() {
        return snStatusCode;
    }

    public void setSnStatusCode(int snStatusCode) {
        this.snStatusCode = snStatusCode;
    }

    public int getQcStatusCode() {
        return qcStatusCode;
    }

    public void setQcStatusCode(int qcStatusCode) {
        this.qcStatusCode = qcStatusCode;
    }

    public boolean isResult() {
        return result;
    }

    public void setResult(boolean result) {
        this.result = result;
    }
}